com.fasterxml.jackson.databind.introspect

## Class POJOPropertyBuilder.MemberIterator<T extends AnnotatedMember>

- java.lang.Object
- - com.fasterxml.jackson.databind.introspect.POJOPropertyBuilder.MemberIterator<T>

- All Implemented Interfaces:
    java.util.Iterator<T>
  Enclosing class:
    POJOPropertyBuilder

      protected static class POJOPropertyBuilder.MemberIterator<T extends AnnotatedMember>
      extends java.lang.Object
      implements java.util.Iterator<T>

  Since:
    2.5

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `POJOPropertyBuilder.MemberIterator(POJOPropertyBuilder.Linked<T> first)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasNext()`
    `T` | `next()`
    `void` | `remove()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### POJOPropertyBuilder.MemberIterator

          public POJOPropertyBuilder.MemberIterator(POJOPropertyBuilder.Linked<T> first)

  - ### Method Detail

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `java.util.Iterator<T extends AnnotatedMember>`

    - #### next

          public T next()

      Specified by:
        `next` in interface `java.util.Iterator<T extends AnnotatedMember>`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `java.util.Iterator<T extends AnnotatedMember>`